Actualizaciones de configuración de Adobe Campaign 2021

La infraestructura y la configuración deben actualizarse regularmente con las últimas versiones y correcciones de productos. Estas correcciones son necesarias para garantizar la continuidad del servicio y la seguridad. Además, se necesitarán actualizaciones para alinearse con los cambios de terceros.

Como Cliente alojado o Managed Services, Adobe le informará de las actualizaciones de la compilación a intervalos regulares. Se le pedirá que actualice según las recomendaciones para garantizar el cumplimiento.

Como Cliente On-Premise o Híbrido, debe actualizar la implementación a intervalos regulares en línea con las últimas versiones publicadas.

Por motivos de seguridad, debe actualizar a una de las versiones que se indican a continuación. Además de los pasos de actualización estándar, se deben realizar algunas tareas manuales para asegurarse de que el entorno sea seguro y esté listo para los próximos cambios de sistemas de Adobe o de terceros.

NOTA

En caso de que tenga preguntas acerca de estos cambios, póngase en contacto con el Servicio de atención al cliente de Adobe.

Actualizaciones de seguridad

Las últimas versiones de Campaign incluyen una corrección de seguridad que refuerza la protección contra los problemas de falsificación de solicitudes del lado del servidor (SSRF). Obtenga más información en esta página.

¿Se ha visto afectado?

Si su entorno se encuentra en una compilación menor que las enumeradas a continuación, se verá afectado:

Descubra cómo comprobar su versión en esta sección.

¿Cómo realizar la actualización?

Debe actualizar a una de las compilaciones más recientes que se enumeran arriba.

  • Como cliente híbrido, el Adobe le informará de las fechas de actualización programadas para sus instancias intermediarias. Adobe recomienda encarecidamente que actualice la instancia de marketing también.

    La nueva compilación es compatible con la versión 17.9 de Campaign Classic, pero Adobe recomienda encarecidamente una actualización en todas las instancias para abordar las vulnerabilidades de seguridad

  • Como cliente local, se le solicita que actualice las instancias de marketing y intermediario a la última versión.

PRECAUCIÓN

Si no puede actualizar dentro del intervalo de tiempo recomendado, debe ponerse en contacto con el equipo de atención al cliente de Adobe para aplicar una corrección de seguridad manual a corto plazo en las instancias.

Actualización de la consola del cliente del Campaign Classic

La variable ahora disponible las siguientes versiones de la consola deben instalarse para resolver una regresión identificada recientemente. Esta regresión impedía el uso de algunos componentes de la consola del cliente, como el selector de fechas y la administración de imágenes en los envíos. Actualización de la consola es obligatorio.

Actualización del sistema Identity Management de Adobe (IMS)

El servicio de identidad de Adobe (IMS) dejará de admitir versiones anteriores de Internet Explorer desde 30 de junio de 2021. Más información.

Se requiere una actualización de la consola del cliente de Campaign para garantizar la compatibilidad con Adobe IMS.

¿Se ha visto afectado?

Si se está conectando a Campaign a través de una Adobe ID, a través del servicio de Identity Management de Adobe (IMS), la actualización a una de las nuevas versiones que se enumeran a continuación es obligatoria:

Estas versiones incluyen un nuevo protocolo de conexión: la actualización es obligatoria para que el servidor de Campaign y la consola del cliente puedan conectarse a Campaign después de 30 de junio de 2021.

Descubra cómo comprobar su versión en esta sección.

¿Cómo realizar la actualización?

Como cliente alojado, Adobe trabajará con usted para actualizar sus instancias a la versión más reciente en breve.

Como cliente local/híbrido, debe actualizar a una de las versiones más recientes para beneficiarse de la nueva consola de cliente y garantizar una transición sin problemas antes del 30 de junio de 2021.

Una vez actualizadas todas las instancias, la consola de cliente también debe actualizarse a esta versión.

Integración con Déclencheur de Experience Cloud

El servicio de autenticación oAuth heredado ha llegado al final de su vida útil. La autenticación de integración de déclencheur, basada originalmente en la configuración de autenticación oAUTH para acceder a la canalización, se ha trasladado a Adobe I/O. Modo de autenticación oAuth heredado con Campaign ha sido retirado en Septiembre de 2021. Los entornos alojados se benefician de una extensión hasta el 23 de febrero de 2022. Como cliente on-premise o híbrido, póngase en contacto con el Servicio de atención al cliente de Adobe para ampliar la asistencia hasta febrero de 2022. Debe proporcionar el AppID de la aplicación OAuth a Adobe.

¿Se ha visto afectado?

Si las instancias se ejecutan en un Versión anterior a Campaign 19.1.8, 20.2.4, Gold Standard 11, utilizará una versión anterior de la integración de Déclencheur mediante autenticación oAuth: debe actualizar a una versión más reciente y pasar a Adobe I/O.

La actualización a una de las nuevas versiones que se enumeran a continuación es obligatoria:

Descubra cómo comprobar su versión en esta sección.

¿Cómo realizar la actualización?

Una vez que las instancias se actualizan a una versión más reciente, todos los clientes deben seguir la paso del procedimiento al nuevo modo de autenticación. Esto requiere que genere el nuevo token de Adobe I/O y lo utilice en la implementación.

Además, en el caso de entornos híbridos, los clientes deben asegurarse de que la canalización esté configurada en una instancia intermediaria. Más información.

Descubra más información sobre cómo migrar a Adobe I/O.

Actualizaciones de APNS

API de proveedor de APNS basada en HTTP/2

Since 31 de marzo de 2021, el servicio de notificaciones push de Apple (APNS) ya no admite el protocolo binario heredado. Más información.

¿Estás afectado?

Si las instancias se ejecutan en un versión anterior a Campaign 21.1, y si envía notificaciones push con el protocolo binario de Apple heredado, debe actualizar a la API de proveedor de APNS basada en HTTP/2.

Descubra cómo comprobar su versión en esta sección.

¿Cómo realizar la actualización?

Como cliente alojado, si ha actualizado a la nueva compilación, Adobe ya ha actualizado sus instancias a la API basada en HTTP/2.

Como cliente local/híbrido, debe actualizar la configuración. Aprenda a migrar a HTTP/2

Actualizaciones de certificados raíz de APNS

El 29 de marzo de 2021, una actualización de la infraestructura del servicio de notificaciones push de Apple (APNS) afectó al canal iOS de Adobe Campaign Classic. Un cambio en la configuración de SO es mandatory para evitar la interrupción del canal push de iOS.

Más información sobre los cambios de APNS en esta página.

¿Se ha visto afectado?

Si utiliza Campaign para enviar notificaciones push a dispositivos iOS, se verá afectado.

¿Cómo realizar la actualización?

Como cliente alojado, no es necesario realizar ninguna acción: Adobe ya ha incorporado el nuevo certificado raíz a su entorno.

Como cliente local/híbrido, debe actualizar la configuración para garantizar una transición sin problemas antes del 29 de marzo de 2021.

Aprenda a incorporar el nuevo certificado.

Vínculos útiles

En esta página